package com.ruoyi.jjh.ent.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.jjh.ent.entity.JDevelopmentReport;
import com.ruoyi.jjh.ent.entity.response.JTemplateMetricsResponse;
import com.ruoyi.jjh.ent.service.JDevelopmentReportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 服务业发展报告（j_template_metrics）表控制层
 * @author du
 * @since 2024/7/31 15:09
 */
@RestController
@RequestMapping("/jjh/templateMetrics")
@Api(tags = "服务业发展报告")
public class JDevelopmentReportController extends BaseController {


    @Resource
    private JDevelopmentReportService jDevelopmentReportService;


    /**
     * 新增服务业发展报告
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "新增服务业发展报告", response = JDevelopmentReport.class)
    @PostMapping
    public AjaxResult add(@RequestBody JDevelopmentReport jDevelopmentReport) {
        return toAjax(jDevelopmentReportService.save(jDevelopmentReport));
    }

    /**
     * 模板指标自定义选择
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov')")
    @ApiOperation(value = "模板指标自定义选择", response = JTemplateMetricsResponse.class)
    @GetMapping("/templateMetrics")
    public AjaxResult getTemplateMetrics(String year) {
        return success(jDevelopmentReportService.getTemplateMetrics(year));
    }
}
